import { defineConfig } from "vite";
import react from "@vitejs/plugin-react-swc";
import { cloudflare } from "@cloudflare/vite-plugin";
import { TanStackRouterVite } from "@tanstack/router-plugin/vite";

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    // must go before `react` plugin:
    TanStackRouterVite({ target: "react", autoCodeSplitting: true }),
    react(),
    cloudflare(),
  ],
});
